class AmbigousOptionError(Exception):
    pass
class NoMatchingOptionFound(AttributeError):
    pass
class ConfigError(Exception):
    pass
class ConflictConfigError(ConfigError):
    pass
class PropertiesOptionError(AttributeError):
    def __init__(self, msg, proptype):
        self.proptype = proptype
        super(PropertiesOptionError, self).__init__(msg)

class NotFoundError(Exception):
    pass
class MethodCallError(Exception):
    pass
class RequiresError(Exception):
    pass
class RequirementRecursionError(RequiresError):
    pass
class MandatoryError(Exception):
    pass
class NoValueReturned(Exception):
    pass
